﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/* TODO: tune the colors to my liking */
:root {
  --primary: rgb(var(--primary-rgb));
  --secondary: rgb(var(--secondary-rgb));
  --terciary: rgb(var(--terciary-rgb));
  --accent: rgb(var(--accent-rgb));
  --trim: rgb(var(--trim-rgb));

  --border-top: rgba(var(--mistone-rgb), 0.15);
  --box-shadow: rgba(var(--mistone-rgb), 0.08);
  --text-muted: rgba(var(--mistone-rgb), 0.5);

  --font-color: var(--mistone);
  --font-color-rgb: var(--mistone-rgb);
  --font-color-hover: rgba(var(--mistone-rgb), 0.75);
  --background-color: var(--tone);
  --toggle-border: rgba(var(--mistone-rgb), 0.1);

  --toggle-url-dark: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(255, 255, 255, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  --toggle-url-light: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");

  --tungsten: "Tungsten-Bold",arial;
  --roboto: 'Roboto', sans-serif;
  --source-sans: 'Source Sans Pro', sans-serif;
  --open-sans: 'Open Sans', sans-serif;
}

h1, h2, h3, h4, h5, h6 {font-family:serif;}
a, p {font-family:var(--font-family-monospace)}

@font-face {
  font-family: 'Tungsten-Bold';
  src: url('../../res/fonts/Tungsten-Bold.ttf') format('truetype');
}
/* latin-ext */
@font-face {
  font-family: 'Great Vibes';
  font-style: normal;
  font-weight: 400;
  src: local('Great Vibes'), local('GreatVibes-Regular'), url(https://fonts.gstatic.com/s/greatvibes/v7/RWmMoKWR9v4ksMfaWd_JN9XLiaQoDmlrMlY.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Great Vibes';
  font-style: normal;
  font-weight: 400;
  src: local('Great Vibes'), local('GreatVibes-Regular'), url(https://fonts.gstatic.com/s/greatvibes/v7/RWmMoKWR9v4ksMfaWd_JN9XFiaQoDmlr.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: 'Monrad Grotesk';
  src: url('../../res/fonts/MonradGrotesk-Light.woff') format('truetype');
}
@font-face {
  font-family: 'Kelvetica';
  src: url('../../res/fonts/Kelvetica\ Nobis.otf') format('truetype');
}

.header{
  border-bottom: 1px solid var(--border-top);
}

.section{
  padding-top: calc(6% + 36px);
  padding-bottom: 20%;
  margin-bottom: 0;
  margin-top: 0;
}

body {
  background-color: var(--background-color);
  color: var(--font-color);
}

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
  color: var(--font-color);
  text-decoration-color: var(--text-color);
}

.bg-mode{
  background-color: var(--background-color);
}

a.text-mode {
  color: var(--font-color);
}

a.text-mode:hover, a.text-mode:focus {
  color: var(--font-color-hover);
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
  scroll-behavior: smooth;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.margin-bottom{
  margin-bottom: 1rem
}

.box-shadow {
  box-shadow: 0 .25rem .75rem var(--box-shadow);
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer{
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
  border-top: 1px solid var(--border-top);
  color: var(--text-muted);
  display: flex;
}

.icon{
  padding: 6px;
  width: 36px;
  
  border-radius: 6px;
  -webkit-filter: grayscale(10%);
  filter: grayscale(10%);
}

.icon-link{
  width: 36px;
  padding: 0px;
  vertical-align: middle;
  margin: 0px 6px 0px 6px;
}

.icon:hover, .icon:focus {
  -webkit-filter: grayscale(100%);
  filter: grayscale(100%);
  background-color: rgba(var(--mistone-rgb), 0.1);
  transition: 0.2s;
}

  .resume-link {
    display: flex;
    height: 36px;
    width: 188px;
    padding: 2px;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    letter-spacing: 6px;
    margin: 0px 6px 0px 6px;
    border-radius:6px;

    color: var(--mistone);
    border: solid 1px rgba(var(--mistone-rgb), 0.1);
    transition: 0.2s;
  }
  
  .resume-link:hover, .resume-link:focus {
    color: var(--font-color-hover);
    text-decoration: none;  
    background: rgba(var(--mistone-rgb), 0.1);
    border: solid 1px rgba(var(--mistone-rgb), 0.0);
    transition: 0.2s;
  }

@media (min-width: 976px) {
  .container {
    max-width: 540px;
    transition: max-width 0.2s ease,min-width 0.2s ease;
  }
}

@media (min-width: 1168px) {
  .container {
    max-width: 720px;
    transition: max-width 0.2s ease,min-width 0.2s ease;
  }
}

@media (min-width: 1392px) {
  .container {
    max-width: 960px;
    transition: max-width 0.2s ease,min-width 0.2s ease;
  }
}

@media (min-width: 1600px) {
  .container {
    max-width: 1140px;
    transition: max-width 0.2s ease,min-width 0.2s ease;
  }
}

::selection {
  color: var(--tone);
  background: var(--accent);
}

